Bug 1298164 - [abrt] WARNING: CPU: 1 PID: 138 at drivers/gpu/drm/i915/intel_pm.c:3668 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]() [i915]
[abrt] WARNING: CPU: 1 PID: 138 at drivers/gpu/drm/i915/intel_pm.c:3668 skl_u...
Status: CLOSED DUPLICATE of bug 1305038
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f4ceac06ea0367b03b9f0606264...
:
: 1330504 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 06:53 EST by christof.schulze
Modified: 2016-05-12 09:34 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 09:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (72.58 KB, text/plain)
2016-01-13 06:53 EST, christof.schulze
no flags Details

  None (edit)
Description christof.schulze 2016-01-13 06:53:11 EST
Description of problem:
System hang on lock-screen.

Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 1 PID: 138 at drivers/gpu/drm/i915/intel_pm.c:3668 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: raid6_pq(+) i915 e1000e i2c_algo_bit drm_kms_helper crc32c_intel drm ptp serio_raw pps_core video i2c_hid fjes
CPU: 1 PID: 138 Comm: kworker/1:1 Not tainted 4.3.3-300.fc23.x86_64 #1
Hardware name: FUJITSU ESPRIMO_D756/D3431-A1, BIOS V5.0.0.11 R1.6.0 for D3431-A1x                     10/29/2015
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000000 000000007f1f409e ffff88041b047660 ffffffff813a626f
 ffff88041b0476a8 ffff88041b047698 ffffffff810a07c2 ffff88041b0477ec
 ffff88041e24f000 ffff88041e24e000 0000000000000000 ffff88041b047738
Call Trace:
 [<ffffffff813a626f>] dump_stack+0x44/0x55
 [<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a085c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa014296e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0142b3b>] skl_update_wm+0x1bb/0x6d0 [i915]
 [<ffffffffa014711e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01a7566>] haswell_crtc_enable+0x476/0xb90 [i915]
 [<ffffffffa01a311b>] intel_atomic_commit+0x39b/0x13c0 [i915]
 [<ffffffff8177f034>] ? __ww_mutex_lock_slowpath+0xa4/0x1c0
 [<ffffffffa005b3b5>] ? drm_atomic_check_only+0x215/0x540 [drm]
 [<ffffffffa005b717>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00bb9ef>] drm_atomic_helper_set_config+0x1bf/0x420 [drm_kms_helper]
 [<ffffffffa004af42>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffa00be873>] restore_fbdev_mode+0xb3/0x110 [drm_kms_helper]
 [<ffffffffa00c0735>] drm_fb_helper_restore_fbdev_mode_unlocked+0x25/0x70 [drm_kms_helper]
 [<ffffffffa00c07ad>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00c06b6>] drm_fb_helper_hotplug_event+0xc6/0x120 [drm_kms_helper]
 [<ffffffffa01ba5de>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00b4667>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00b4867>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810b8cde>] process_one_work+0x19e/0x3f0
 [<ffffffff810b8f7e>] worker_thread+0x4e/0x450
 [<ffffffff8177cf31>] ? __schedule+0x371/0x980
 [<ffffffff810b8f30>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810b8f30>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bede8>] kthread+0xd8/0xf0
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8178199f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
Comment 1 christof.schulze 2016-01-13 06:53:19 EST
Created attachment 1114377 [details]
File: dmesg
Comment 2 Andrew Morgan 2016-01-22 22:15:42 EST
Description of problem:
No visibile effect, other than the problem report.
Problem occurs on every initial login after reboot with 
       product: MAXIMUS VIII HERO
       vendor: ASUSTeK COMPUTER INC.
     *-cpu
          description: CPU
          product: Core i5 (To Be Filled By O.E.M.)
          vendor: Intel Corp.
          physical id: 46
          bus info: cpu@0
          version: Intel(R) Core(TM) i5-6500 CPU @ 3.20GHz
          serial: To Be Filled By O.E.M.
          slot: LGA1151
          size: 800MHz
          capacity: 3600MHz
          width: 64 bits
          clock: 100MHz

Section "Device"
   Identifier  "Intel Graphics"
   Driver      "intel"
   Option      "AccelMethod"  "uxa"
EndSection

Linux patsy 4.3.3-301.fc23.x86_64 #1 SMP Fri Jan 15 14:03:17 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

New install

Contact me if more configuration information is needed.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.3.3-301.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
kernel:         4.3.3-301.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 114 at drivers/gpu/drm/i915/intel_pm.c:3668 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: 8021q garp stp llc mrp i915 serio_raw e1000e i2c_algo_bit drm_kms_helper drm ptp pps_core i2c_hid video fjes
CPU: 3 PID: 114 Comm: kworker/u8:7 Not tainted 4.3.3-301.fc23.x86_64 #1
Hardware name: System manufacturer System Product Name/MAXIMUS VIII HERO, BIOS 0802 09/01/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 000000003a38c7ba ffff88045de2f3a8 ffffffff813a626f
 ffff88045de2f3f0 ffff88045de2f3e0 ffffffff810a07c2 ffff88045de2f534
 ffff88045c593000 ffff88045c594000 0000000000000000 ffff88045de2f480
Call Trace:
 [<ffffffff813a626f>] dump_stack+0x44/0x55
 [<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a085c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa012d98e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa012db5b>] skl_update_wm+0x1bb/0x6d0 [i915]
 [<ffffffffa012dd87>] ? skl_update_wm+0x3e7/0x6d0 [i915]
 [<ffffffffa013213e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01925a6>] haswell_crtc_enable+0x476/0xb90 [i915]
 [<ffffffffa018e15b>] intel_atomic_commit+0x39b/0x13c0 [i915]
 [<ffffffffa0058405>] ? drm_atomic_check_only+0x215/0x540 [drm]
 [<ffffffffa0058767>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00ad9ef>] drm_atomic_helper_set_config+0x1bf/0x420 [drm_kms_helper]
 [<ffffffffa0047f92>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffa00b0873>] restore_fbdev_mode+0xb3/0x110 [drm_kms_helper]
 [<ffffffffa00b2735>] drm_fb_helper_restore_fbdev_mode_unlocked+0x25/0x70 [drm_kms_helper]
 [<ffffffffa00b27ad>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01a49fa>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81415f10>] fbcon_init+0x570/0x5f0
 [<ffffffff8149575a>] visual_init+0xca/0x130
 [<ffffffff814975f1>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff81497b09>] do_take_over_console+0x149/0x1a0
 [<ffffffff81411d97>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81416988>] fbcon_event_notify+0x658/0x750
 [<ffffffff810bfc8a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810bffc7>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810bfff6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8141c5db>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8141e91f>] register_framebuffer+0x20f/0x350
 [<ffffffffa00b2a2f>] drm_fb_helper_initial_config+0x25f/0x400 [drm_kms_helper]
 [<ffffffffa01a547b>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c171a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810b8cde>] process_one_work+0x19e/0x3f0
 [<ffffffff810b8f7e>] worker_thread+0x4e/0x450
 [<ffffffff810b8f30>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bede8>] kthread+0xd8/0xf0
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8178195f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
Comment 3 gaxweb 2016-01-25 05:12:28 EST
Description of problem:
Installed today's updates, and that prevented it from booting. An auto-relabel fixed it apparently.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.3.3-301.fc23.x86_64 root=UUID=3f7d5ea2-9510-4410-bd85-3c5f1d0b3f55 ro rootflags=subvol=root rhgb quiet resume=UUID=2dd1f6c6-e0b0-4893-ba39-423af0b82f21 LANG=de_DE.UTF-8
kernel:         4.3.3-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 105 at drivers/gpu/drm/i915/intel_pm.c:3668 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: btrfs xor raid6_pq i915 crc32c_intel e1000e serio_raw i2c_algo_bit drm_kms_helper ptp nvme pps_core drm video i2c_hid fjes
CPU: 0 PID: 105 Comm: kworker/u8:2 Not tainted 4.3.3-300.fc23.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./Z170X-Gaming 7, BIOS F5 10/19/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 000000002faa7d17 ffff88047c39f3a8 ffffffff813a626f
 ffff88047c39f3f0 ffff88047c39f3e0 ffffffff810a07c2 ffff88047c39f534
 ffff88047a10b000 ffff88047a10c000 0000000000000000 ffff88047c39f480
Call Trace:
 [<ffffffff813a626f>] dump_stack+0x44/0x55
 [<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a085c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa014996e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0149b3b>] skl_update_wm+0x1bb/0x6d0 [i915]
 [<ffffffffa014e11e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01ae566>] haswell_crtc_enable+0x476/0xb90 [i915]
 [<ffffffffa01aa11b>] intel_atomic_commit+0x39b/0x13c0 [i915]
 [<ffffffffa00513b5>] ? drm_atomic_check_only+0x215/0x540 [drm]
 [<ffffffffa0051717>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00c19ef>] drm_atomic_helper_set_config+0x1bf/0x420 [drm_kms_helper]
 [<ffffffffa0040f42>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffa00c4873>] restore_fbdev_mode+0xb3/0x110 [drm_kms_helper]
 [<ffffffffa00c6735>] drm_fb_helper_restore_fbdev_mode_unlocked+0x25/0x70 [drm_kms_helper]
 [<ffffffffa00c67ad>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01c09ba>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81415f10>] fbcon_init+0x570/0x5f0
 [<ffffffff8149576a>] visual_init+0xca/0x130
 [<ffffffff81497601>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff81497b19>] do_take_over_console+0x149/0x1a0
 [<ffffffff81411d97>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81416988>] fbcon_event_notify+0x658/0x750
 [<ffffffff810bfc8a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810bffc7>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810bfff6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8141c5db>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8141e91f>] register_framebuffer+0x20f/0x350
 [<ffffffffa00c6a2f>] drm_fb_helper_initial_config+0x25f/0x400 [drm_kms_helper]
 [<ffffffffa01c143b>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c171a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810b8cde>] process_one_work+0x19e/0x3f0
 [<ffffffff810b8f7e>] worker_thread+0x4e/0x450
 [<ffffffff810b8f30>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bede8>] kthread+0xd8/0xf0
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8178199f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
Comment 4 gaxweb 2016-01-25 05:19:38 EST
TBH, I don't think this error prevented the boot procedure.
Comment 5 Wouter De Borger 2016-03-02 02:59:15 EST
Description of problem:
When closing my laptop, with 2 external screens attached via HDMI and DP, it doesn't wake up anymore. 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.2-301.fc23.x86_64 root=UUID=645820b2-5ffc-49cb-a355-006debf300e7 ro rootflags=subvol=root rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.2-301.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 135 at drivers/gpu/drm/i915/intel_pm.c:3597 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: btrfs xor raid6_pq i915 rtsx_pci_sdmmc mmc_core e1000e crc32c_intel i2c_algo_bit drm_kms_helper drm serio_raw ptp rtsx_pci nvme pps_core video i2c_hid fjes
CPU: 0 PID: 135 Comm: kworker/u16:3 Not tainted 4.4.2-301.fc23.x86_64 #1
Hardware name: Dell Inc. Latitude E5470/06DNG5, BIOS 1.3.6 01/10/2016
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000eccb7e27 ffff88043bd03438 ffffffff813b0c9f
 ffff88043bd03480 ffff88043bd03470 ffffffff810a2f12 ffff88043bd035a4
 ffff88043ef8f000 ffff88043ef8e000 0000000000000000 ffff88043bd03510
Call Trace:
 [<ffffffff813b0c9f>] dump_stack+0x44/0x55
 [<ffffffff810a2f12>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a2fac>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0191d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0191fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffff81795290>] ? __schedule+0x3e0/0x9b0
 [<ffffffffa01964de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01fde50>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa01f9a32>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa0083ffe>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa0084437>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00dcbbf>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00ded93>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00dee0d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00ded12>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa00dedb6>] drm_fb_helper_restore_fbdev_mode_unlocked+0x56/0x80 [drm_kms_helper]
 [<ffffffffa00dee0d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa021064a>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81422ad0>] fbcon_init+0x570/0x5f0
 [<ffffffff814a45aa>] visual_init+0xca/0x130
 [<ffffffff814a6441>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff814a6959>] do_take_over_console+0x149/0x1a0
 [<ffffffff8141e957>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81423548>] fbcon_event_notify+0x658/0x750
 [<ffffffff810c1fda>] notifier_call_chain+0x4a/0x70
 [<ffffffff810c2317>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810c2346>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8142919b>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8142b4bf>] register_framebuffer+0x20f/0x350
 [<ffffffffa00df0ba>] drm_fb_helper_initial_config+0x28a/0x410 [drm_kms_helper]
 [<ffffffffa021114b>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c3a4a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810bb10e>] process_one_work+0x19e/0x3f0
 [<ffffffff810bb3ae>] worker_thread+0x4e/0x450
 [<ffffffff810bb360>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810c1138>] kthread+0xd8/0xf0
 [<ffffffff810c1060>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff81799ccf>] ret_from_fork+0x3f/0x70
 [<ffffffff810c1060>] ? kthread_worker_fn+0x160/0x160
Comment 6 Adam DiFrischia 2016-03-03 08:39:52 EST
Description of problem:
Booting up with external monitor attached.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.3-300.fc23.x86_64 root=UUID=7c869aab-25b9-4adb-8853-603670947829 ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.3-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 135 at drivers/gpu/drm/i915/intel_pm.c:3597 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: rtsx_usb_sdmmc mmc_core rtsx_usb i915 i2c_algo_bit drm_kms_helper r8169 drm mii serio_raw video i2c_hid fjes
CPU: 3 PID: 135 Comm: kworker/3:3 Not tainted 4.4.3-300.fc23.x86_64 #1
Hardware name: Dell Inc. Latitude 3570/0P90R8, BIOS 1.0.3 11/19/2015
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 0000000083940d1a ffff88009bbef768 ffffffff813b4b6e
 ffff88009bbef7b0 ffffffffa01bbbf8 ffff88009bbef7a0 ffffffff810a40f2
 ffff88009bbef8d4 ffff88009bbd5000 ffff88009bbd3000 0000000000000000
Call Trace:
 [<ffffffff813b4b6e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa00f6d7e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa00f6fe2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffffa00fb4ee>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa0163ae0>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa015f6c2>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa005303e>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa0053477>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00c7bbf>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00c9d93>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00c9e0d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00c9d12>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa0176fee>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00bd707>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00bd907>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810bc576>] process_one_work+0x156/0x430
 [<ffffffff810bc89e>] worker_thread+0x4e/0x450
 [<ffffffff8179a985>] ? __schedule+0x3a5/0xa00
 [<ffffffff810bc850>] ? process_one_work+0x430/0x430
 [<ffffffff810bc850>] ? process_one_work+0x430/0x430
 [<ffffffff810c2628>] kthread+0xd8/0xf0
 [<ffffffff810c2550>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8179f4cf>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2550>] ? kthread_worker_fn+0x160/0x160
Comment 7 Mike Hinz 2016-04-05 10:53:59 EDT
Description of problem:
No specific action to cause this crash.  This is on a new Lenovo T460 with intel 520 graphics.  Various graphics issues seem to occur with no apparent action on my part.  

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.6-300.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.6-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 312 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e drm serio_raw ptp rtsx_pci pps_core video fjes hid_logitech_dj
CPU: 1 PID: 312 Comm: kworker/1:4 Not tainted 4.4.6-300.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 0000000005a6b0bb ffff8806011cf768 ffffffff813b542e
 ffff8806011cf7b0 ffffffffa0237bf8 ffff8806011cf7a0 ffffffff810a40f2
 ffff8806011cf8d4 ffff880604dc2000 ffff880604dc3000 0000000000000000
Call Trace:
 [<ffffffff813b542e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0172d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0172fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffffa01774de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01dfb60>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa01db6f2>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa008d1be>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa008d5f7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa013009f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa0132273>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa01322ed>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01321f2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01f306e>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa0125707>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa0125907>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810bc596>] process_one_work+0x156/0x430
 [<ffffffff810bc8be>] worker_thread+0x4e/0x450
 [<ffffffff8179bd05>] ? __schedule+0x3a5/0xa00
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810c2648>] kthread+0xd8/0xf0
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a084f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
Comment 8 Mike Hinz 2016-04-06 18:48:38 EDT
Description of problem:
Was simply working when the crash occurred.  This happens with some regularity on this new Lenovo t460.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.6-301.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.6-301.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 95 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit e1000e drm_kms_helper serio_raw drm ptp pps_core rtsx_pci video fjes hid_logitech_dj
CPU: 0 PID: 95 Comm: kworker/0:1 Not tainted 4.4.6-301.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 00000000dc90c687 ffff8806022fb768 ffffffff813b542e
 ffff8806022fb7b0 ffffffffa022dbf8 ffff8806022fb7a0 ffffffff810a40f2
 ffff8806022fb8d4 ffff880601f3e000 ffff880601f3d000 0000000000000000
Call Trace:
 [<ffffffff813b542e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0168d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0168fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffffa016d4de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01d5b60>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa01d16f2>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa00801be>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa00805f7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00dc09f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00de273>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00de2ed>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00de1f2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01e906e>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00d1707>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00d1907>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810bc596>] process_one_work+0x156/0x430
 [<ffffffff810bc8be>] worker_thread+0x4e/0x450
 [<ffffffff8179bdd5>] ? __schedule+0x3a5/0xa00
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810c2648>] kthread+0xd8/0xf0
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a090f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
Comment 9 Gabriel PREDA 2016-04-12 12:15:11 EDT
HP ProBook 450 G3 also has this issue:

WARNING: CPU: 0 PID: 101 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp hid_logitech_dj i915 amdgpu rtsx_pci_sdmmc mmc_core 8021q garp ttm stp i2c_algo_bit llc drm_kms_helper mrp drm r8169 serio_raw rtsx_pci mii video fjes
CPU: 0 PID: 101 Comm: kworker/u16:2 Not tainted 4.4.6-301.fc23.x86_64 #1
Hardware name: HP HP ProBook 450 G3/8101, BIOS N78 Ver. 01.06 12/18/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000286 000000001f50b4ed ffff88025413b4b0 ffffffff813b542e
 ffff88025413b4f8 ffffffffa02ccbf8 ffff88025413b4e8 ffffffff810a40f2
 ffff88025413b61c ffff8800301cc000 ffff8800301cb000 0000000000000000
Call Trace:
 [<ffffffff813b542e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0207d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0207fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffffa020c4de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa0274b60>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa02706f2>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa008f1be>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa008f5f7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00cf09f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00d1273>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00d12ed>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa02873ba>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81427430>] fbcon_init+0x570/0x5f0
 [<ffffffff814a8f6a>] visual_init+0xca/0x130
 [<ffffffff814aae01>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff814ab319>] do_take_over_console+0x149/0x1a0
 [<ffffffff81423297>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81427ea8>] fbcon_event_notify+0x658/0x750
 [<ffffffff810c352a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810c3867>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810c3896>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8142dafb>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8142fe1f>] register_framebuffer+0x20f/0x350
 [<ffffffffa00d159a>] drm_fb_helper_initial_config+0x28a/0x410 [drm_kms_helper]
 [<ffffffffa0287ebb>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c4f9a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810bc596>] process_one_work+0x156/0x430
 [<ffffffff810bc8be>] worker_thread+0x4e/0x450
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810c2648>] kthread+0xd8/0xf0
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a090f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160

I'm available for any testing debugging this may require!
Comment 10 Daniel Brnak 2016-04-19 09:34:40 EDT
similar here on thinkpad t460, kernel 4.4.6-301.fc23.x86_64, fedora 23


[14541.909009] ------------[ cut here ]------------
[14541.909081] WARNING: CPU: 0 PID: 2647 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
[14541.909086] WARN_ON(!wm_changed)
[14541.909091] Modules linked in:
[14541.909096]  tun cpufreq_stats ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_nat ebtable_filter ebtables ip6table_security ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bnep snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_ipc arc4 snd_soc_sst_dsp snd_soc_core snd_hda_codec_hdmi intel_rapl iosf_mbi rtsx_pci_sdmmc snd_hda_codec_realtek x86_pkg_temp_thermal snd_hda_codec_generic coretemp snd_compress mmc_core snd_pcm_dmaengine ac97_bus dw_dmac_core rtsx_pci_ms kvm_intel memstick snd_hda_intel iTCO_wdt iTCO_vendor_support snd_hda_codec snd_hda_core
[14541.909195]  iwlmvm snd_hwdep kvm snd_seq mac80211 snd_seq_device irqbypass snd_pcm iwlwifi vfat cdc_ether fat cfg80211 joydev i2c_i801 snd_timer rtsx_pci usbnet uvcvideo option btusb mii btrtl usb_wwan videobuf2_vmalloc btbcm videobuf2_memops btintel videobuf2_v4l2 bluetooth videobuf2_core shpchp v4l2_common videodev media mei_me mei thinkpad_acpi wmi snd soundcore tpm_tis rfkill tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt 8021q garp stp llc mrp i915 e1000e i2c_algo_bit crct10dif_pclmul crc32_pclmul crc32c_intel drm_kms_helper drm serio_raw ptp pps_core video fjes
[14541.909311] CPU: 0 PID: 2647 Comm: Xorg Tainted: G        W       4.4.6-301.fc23.x86_64 #1
[14541.909316] Hardware name: LENOVO 20FNXXXXX, BIOS R06ET36W (1.10 ) 03/23/2016
[14541.909322]  0000000000000286 0000000024752a73 ffff8800c3807750 ffffffff813b542e
[14541.909332]  ffff8800c3807798 ffffffffa020abf8 ffff8800c3807788 ffffffff810a40f2
[14541.909340]  ffff8800c38078bc ffff8800d587c000 ffff8800d587e000 0000000000000000
[14541.909350] Call Trace:
[14541.909365]  [<ffffffff813b542e>] dump_stack+0x63/0x85
[14541.909377]  [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
[14541.909386]  [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
[14541.909464]  [<ffffffffa0145d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
[14541.909523]  [<ffffffffa0145fd2>] skl_update_wm+0x252/0x750 [i915]
[14541.909536]  [<ffffffff8179bdd5>] ? __schedule+0x3a5/0xa00
[14541.909594]  [<ffffffffa014a4de>] intel_update_watermarks+0x1e/0x30 [i915]
[14541.909678]  [<ffffffffa01b2b60>] haswell_crtc_enable+0x370/0x870 [i915]
[14541.909762]  [<ffffffffa01ae6f2>] intel_atomic_commit+0x492/0x1420 [i915]
[14541.909829]  [<ffffffffa005a1be>] ? drm_atomic_check_only+0x18e/0x590 [drm]
[14541.909899]  [<ffffffffa005a5f7>] drm_atomic_commit+0x37/0x60 [drm]
[14541.909937]  [<ffffffffa00c24c6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
[14541.909997]  [<ffffffffa0049b62>] drm_mode_set_config_internal+0x62/0x100 [drm]
[14541.910059]  [<ffffffffa004dee2>] drm_mode_setcrtc+0x3d2/0x4f0 [drm]
[14541.910108]  [<ffffffffa003f602>] drm_ioctl+0x152/0x540 [drm]
[14541.910168]  [<ffffffffa004db10>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[14541.910186]  [<ffffffff8133fc9c>] ? selinux_file_ioctl+0x10c/0x1c0
[14541.910201]  [<ffffffff81241248>] do_vfs_ioctl+0x298/0x480
[14541.910215]  [<ffffffff8122fd7e>] ? ____fput+0xe/0x10
[14541.910230]  [<ffffffff81337553>] ? security_file_ioctl+0x43/0x60
[14541.910244]  [<ffffffff812414a9>] SyS_ioctl+0x79/0x90
[14541.910259]  [<ffffffff810b31de>] ? SyS_rt_sigprocmask+0x8e/0xc0
[14541.910272]  [<ffffffff817a05ae>] entry_SYSCALL_64_fastpath+0x12/0x71
[14541.910311] ---[ end trace cf30df8fa983992a ]---
Comment 11 phrosgone 2016-04-21 16:30:30 EDT
Description of problem:
I get this error message always when system is booting.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.4.6-301.fc23.x86_64 root=UUID=11305b04-8008-4885-b306-9b69c0aeb8ee ro rhgb quiet LANG=en_US.UTF-8 intel_pstate=disable
kernel:         4.4.6-301.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 270 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit e1000e drm_kms_helper drm serio_raw ptp pps_core nvme rtsx_pci video fjes
CPU: 1 PID: 270 Comm: kworker/1:4 Not tainted 4.4.6-301.fc23.x86_64 #1
Hardware name: LENOVO 20FRS05B00/20FRS05B00, BIOS N1FET34W (1.08 ) 01/21/2016
Workqueue: events_long drm_dp_mst_link_probe_work [drm_kms_helper]
 0000000000000286 00000000678c6f47 ffff88040bc9f6d0 ffffffff813b542e
 ffff88040bc9f718 ffffffffa0237bf8 ffff88040bc9f708 ffffffff810a40f2
 ffff88040bc9f83c ffff88003f95b000 ffff88003f95a000 0000000000000000
Call Trace:
 [<ffffffff813b542e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0172d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0172fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffffa01774de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01dfb60>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa01e877a>] ? intel_frontbuffer_flush+0x6a/0x80 [i915]
 [<ffffffffa01db6f2>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa00821be>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa00825f7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00db09f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00dd273>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00dd2ed>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00dd1f2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01f306e>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00d0707>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa01fd1e5>] intel_dp_mst_hotplug+0x15/0x20 [i915]
 [<ffffffffa00d6bda>] drm_dp_send_link_address+0x27a/0x320 [drm_kms_helper]
 [<ffffffff810da2ea>] ? dequeue_task_fair+0x51a/0x8a0
 [<ffffffff810dbdd5>] ? put_prev_entity+0x35/0x7d0
 [<ffffffffa00d71ad>] drm_dp_check_and_send_link_address+0xad/0xc0 [drm_kms_helper]
 [<ffffffffa00d7218>] drm_dp_mst_link_probe_work+0x58/0xb0 [drm_kms_helper]
 [<ffffffff810bc596>] process_one_work+0x156/0x430
 [<ffffffff810bc8be>] worker_thread+0x4e/0x450
 [<ffffffff8179bdd5>] ? __schedule+0x3a5/0xa00
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810c2648>] kthread+0xd8/0xf0
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a090f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
Comment 12 Manuel Schiller 2016-04-26 07:30:45 EDT
*** Bug 1330504 has been marked as a duplicate of this bug. ***
Comment 13 Mike Hinz 2016-05-02 12:12:42 EDT
Description of problem:
Opened a skype session and when I enabled the video from my side, the error occured.  Also the skype video came very distorted and otherwise unusable at that point.  

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.8-300.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.8-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 197 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e drm ptp serio_raw pps_core rtsx_pci video fjes hid_logitech_dj
CPU: 0 PID: 197 Comm: kworker/0:2 Not tainted 4.4.8-300.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 00000000c3693b0b ffff880601f6b768 ffffffff813b5f5e
 ffff880601f6b7b0 ffffffffa021dbf8 ffff880601f6b7a0 ffffffff810a4122
 ffff880601f6b8d4 ffff880604dc5000 ffff880604dc3000 0000000000000000
Call Trace:
 [<ffffffff813b5f5e>] dump_stack+0x63/0x85
 [<ffffffff810a4122>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a41bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0158d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0158fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffff810e62f0>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa015d4de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01c5ae0>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa01c1672>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa008c1ae>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa008c5e7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa011608f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa0118263>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa01182dd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01181e2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01d8fae>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa010b6f7>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa010b8f7>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810bc5d6>] process_one_work+0x156/0x430
 [<ffffffff810bc8fe>] worker_thread+0x4e/0x450
 [<ffffffff8179cbf5>] ? __schedule+0x3a5/0xa00
 [<ffffffff810bc8b0>] ? process_one_work+0x430/0x430
 [<ffffffff810bc8b0>] ? process_one_work+0x430/0x430
 [<ffffffff810c2688>] kthread+0xd8/0xf0
 [<ffffffff810c25b0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a170f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c25b0>] ? kthread_worker_fn+0x160/0x160
Comment 14 Simon Brandner 2016-05-03 13:35:01 EDT
Description of problem:
When changing screen resolution with Intel Skylake graphics the error appears, e.g. when switching to a console with ctrl-alt-F2 or in manually change resolution in Display settings.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.8-300.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap intel_iommu=on LANG=en_GB.UTF-8
kernel:         4.4.8-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 136 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: 8021q garp stp llc mrp i915 e1000e i2c_algo_bit drm_kms_helper ptp serio_raw pps_core drm video i2c_hid fjes
CPU: 2 PID: 136 Comm: kworker/u16:3 Not tainted 4.4.8-300.fc23.x86_64 #1
Hardware name: System manufacturer System Product Name/Z170M-PLUS, BIOS 0704 02/18/2016
Workqueue: events_unbound async_run_entry_fn
 0000000000000286 00000000ae3e519d ffff880425e7b4b0 ffffffff813b5f5e
 ffff880425e7b4f8 ffffffffa01f7bf8 ffff880425e7b4e8 ffffffff810a4122
 ffff880425e7b61c ffff8800bcbcb000 ffff8800bcbc9000 0000000000000000
Call Trace:
 [<ffffffff813b5f5e>] dump_stack+0x63/0x85
 [<ffffffff810a4122>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a41bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0132d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0132fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffff810e62f0>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa01374de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa019fae0>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa019b672>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa005c1ae>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa005c5e7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00b508f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00b7263>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00b72dd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01b22fa>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81427fe0>] fbcon_init+0x570/0x5f0
 [<ffffffff814a9aea>] visual_init+0xca/0x130
 [<ffffffff814ab981>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff814abe99>] do_take_over_console+0x149/0x1a0
 [<ffffffff81423e47>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81428a58>] fbcon_event_notify+0x658/0x750
 [<ffffffff810c356a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810c38a7>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810c38d6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8142e6ab>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff814309cf>] register_framebuffer+0x20f/0x350
 [<ffffffffa00b758a>] drm_fb_helper_initial_config+0x28a/0x410 [drm_kms_helper]
 [<ffffffffa01b2dfb>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c4fda>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810bc5d6>] process_one_work+0x156/0x430
 [<ffffffff810bc8fe>] worker_thread+0x4e/0x450
 [<ffffffff810bc8b0>] ? process_one_work+0x430/0x430
 [<ffffffff810c2688>] kthread+0xd8/0xf0
 [<ffffffff810c25b0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a170f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c25b0>] ? kthread_worker_fn+0x160/0x160
Comment 15 Mike Hinz 2016-05-04 09:02:07 EDT
Description of problem:
Occured when booting the skylake based lapotp

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.8-300.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.8-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 76 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e drm serio_raw ptp rtsx_pci pps_core video fjes hid_logitech_dj
CPU: 0 PID: 76 Comm: kworker/u16:1 Not tainted 4.4.8-300.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events_unbound async_run_entry_fn
 0000000000000286 000000004e13a8a4 ffff880602327438 ffffffff813b5f5e
 ffff880602327480 ffffffffa022fbf8 ffff880602327470 ffffffff810a4122
 ffff8806023275a4 ffff880601e8a000 ffff880601e8b000 0000000000000000
Call Trace:
 [<ffffffff813b5f5e>] dump_stack+0x63/0x85
 [<ffffffff810a4122>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a41bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa016ad6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa016afd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffff810e62f0>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa016f4de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01d7ae0>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa01d3672>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa00851ae>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa00855e7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa012808f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa012a263>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa012a2dd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa012a1e2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa012a286>] drm_fb_helper_restore_fbdev_mode_unlocked+0x56/0x80 [drm_kms_helper]
 [<ffffffffa012a2dd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01ea2fa>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81427fe0>] fbcon_init+0x570/0x5f0
 [<ffffffff814a9aea>] visual_init+0xca/0x130
 [<ffffffff814ab981>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff814abe99>] do_take_over_console+0x149/0x1a0
 [<ffffffff81423e47>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81428a58>] fbcon_event_notify+0x658/0x750
 [<ffffffff810c356a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810c38a7>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810c38d6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8142e6ab>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff814309cf>] register_framebuffer+0x20f/0x350
 [<ffffffffa012a58a>] drm_fb_helper_initial_config+0x28a/0x410 [drm_kms_helper]
 [<ffffffffa01eadfb>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c4fda>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810bc5d6>] process_one_work+0x156/0x430
 [<ffffffff810bc8fe>] worker_thread+0x4e/0x450
 [<ffffffff810bc8b0>] ? process_one_work+0x430/0x430
 [<ffffffff810c2688>] kthread+0xd8/0xf0
 [<ffffffff810c25b0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a170f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c25b0>] ? kthread_worker_fn+0x160/0x160
Comment 16 Mike Hinz 2016-05-05 09:00:00 EDT
Description of problem:
Occured during a boot from being completely powered off.   

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.8-300.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.8-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 100 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core e1000e i2c_algo_bit drm_kms_helper serio_raw drm ptp pps_core rtsx_pci video fjes hid_logitech_dj
CPU: 1 PID: 100 Comm: kworker/u16:2 Not tainted 4.4.8-300.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events_unbound async_run_entry_fn
 0000000000000286 00000000224a67e2 ffff8800d2aef438 ffffffff813b5f5e
 ffff8800d2aef480 ffffffffa021ebf8 ffff8800d2aef470 ffffffff810a4122
 ffff8800d2aef5a4 ffff880601d5e000 ffff880601d5d000 0000000000000000
Call Trace:
 [<ffffffff813b5f5e>] dump_stack+0x63/0x85
 [<ffffffff810a4122>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a41bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0159d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0159fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffff810e62f0>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa015e4de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01c6ae0>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa01c2672>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa00801ae>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa00805e7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00dc08f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00de263>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00de2dd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00de1e2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa00de286>] drm_fb_helper_restore_fbdev_mode_unlocked+0x56/0x80 [drm_kms_helper]
 [<ffffffffa00de2dd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01d92fa>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81427fe0>] fbcon_init+0x570/0x5f0
 [<ffffffff814a9aea>] visual_init+0xca/0x130
 [<ffffffff814ab981>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff814abe99>] do_take_over_console+0x149/0x1a0
 [<ffffffff81423e47>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81428a58>] fbcon_event_notify+0x658/0x750
 [<ffffffff810c356a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810c38a7>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810c38d6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8142e6ab>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff814309cf>] register_framebuffer+0x20f/0x350
 [<ffffffffa00de58a>] drm_fb_helper_initial_config+0x28a/0x410 [drm_kms_helper]
 [<ffffffffa01d9dfb>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c4fda>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810bc5d6>] process_one_work+0x156/0x430
 [<ffffffff810bc8fe>] worker_thread+0x4e/0x450
 [<ffffffff8179cbf5>] ? __schedule+0x3a5/0xa00
 [<ffffffff810bc8b0>] ? process_one_work+0x430/0x430
 [<ffffffff810bc8b0>] ? process_one_work+0x430/0x430
 [<ffffffff810c2688>] kthread+0xd8/0xf0
 [<ffffffff810c25b0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a170f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c25b0>] ? kthread_worker_fn+0x160/0x160
Comment 17 Hans de Goede 2016-05-12 09:34:47 EDT

*** This bug has been marked as a duplicate of bug 1305038 ***

Note You need to log in before you can comment on or make changes to this bug.